/*
_____________________________________________

Descartes. Interactive Mathematics for Teaching and Learning
This program is free software; you can redistribute it and/or 
modify it under the terms of the European Public License 
(EUPL) v 1.1 as published by the IDABC (see http://ec.europa.eu/idabc/). 

Developing institutions
- Instituto de Tecnologas Educativas del Ministerio de Educacin de Espaa
- Instituto de Matemticas de la Universidad Nacional Autnoma de Mxico

Software development: Jos Luis Abreu Len, Marta Oliver Serrat
Functional Design: Jos Luis Abreu Len, Juan Madrigal Muga, Jos R. Galo Snchez

Copyright by Ministerio de Educacin de Espaa.

This programme is distributed in good faith, but WITHOUT ANY WARRANTY, not even
with the implicit warranties of USABILITY or FITNESS FOR A CONCRETE PURPOSE.
For more information consult the EUPL License European Public License. 

You should have received a copy of the EUPL European Public License along with this 
program. If not, see http://ec.europa.eu/idabc/servlets/Docbb6d.pdf?id=31979
_____________________________________________

Descartes. Matemticas interactivas para la enseanza y el aprendizaje
Este programa es software libre; usted tiene derecho a redistribuirlo y/o
a modificarlo bajo los trminos de la Licencia pblica europea 
(EUPL) v 1.1 publicados por la IDABC (ver  http://ec.europa.eu/idabc/).

Instituciones desarrolladoras:
- Instituto de Tecnologas Educativas del Ministerio de Educacin de Espaa
- Instituto de Matemticas de la Universidad Nacional Autnoma de Mxico

Desarrollo de software: Jos Luis Abreu Len, Marta Oliver Serrat
Diseo funcional: Jos Luis Abreu Len, Juan Madrigal Muga, Jos R. Galo Snchez

Derechos de explotacin propiedad del Ministerio de Educacin de Espaa.

Este programa se distribuye de buena fe, pero SIN NINGUNA GARANTA, incluso sin 
las presuntas garantas implcitas de USABILIDAD o ADECUACIN A PROPSITO CONCRETO. 
Para mas informacin consulte la Licencia EUPL European Public License.

Usted debe haber recibido una copia de la Licencia EUPLjunto con este 
programa, si por algn motivo no le es posible visualizarla, puede consultarla en
la siguiente URL: http://ec.europa.eu/idabc/servlets/Docb4f4.pdf?id=31980
_____________________________________________

*/
package org.cnice.rad.learner;

/*
 * @(#)InsertActivityRequest.java
 */

/**
 * @version	1.0  Ene 2007
 * @administrator: Jose-Luis Abreu
 */
 
import org.cnice.rad.common.Message;

public class InsertActivityRequest extends Message{

    public int getType(){
		return Message.INSERTACTIVITY_REQUEST;
    }

	private String user_login,course;
	private String id_sesion_equipo,date,codebase,filepath,name,appletcode,infoind,infoest;

    public InsertActivityRequest(String _login,String _password,
    	String _id_sesion_equipo,String _date,
    	String _codebase,String _filepath,String _name,String _appletcode,String _infoind,String _infoest){
    	super(_login,_password);
		this.user_login=_login;
    	this.id_sesion_equipo=_id_sesion_equipo;
    	this.date=_date;
    	this.codebase=_codebase;
    	this.filepath=_filepath;
    	this.name=_name;
    	this.appletcode=_appletcode;
    	this.infoind=_infoind;
    	this.infoest=_infoest;
    }
    
    public String getUserLogin() {
    	return this.user_login;
    }
    
    public String getId_sesion_equipo() {
    	return this.id_sesion_equipo;
    }
    
    public String getDate() {
    	return this.date;
    }
    
    public String getCodebase() {
    	return this.codebase;
    }

    public String getFilePath() {
    	return this.filepath;
    }

    public String getName() {
    	return this.name;
    }

    public String getAppletCode() {
    	return this.appletcode;
    }

    public String getInfoind() {
    	return this.infoind;
    }

    public String getInfoest() {
    	return this.infoest;
    }
}

    