package com.jla.versionManager;

import java.io.File;

import org.w3c.dom.Element;

public class LibraryVersionManager {

	private String id;
	private String libraryName;
	private String urlFileToDownload;
	private String urlFileDefault;
	private String description;
	private String currentVersion;
	
	
	public LibraryVersionManager(){
		this("","","","","","");
	}
	
	public LibraryVersionManager( 
			String id, 
			String libraryName, 
			String urlFileToDownload,
			String urlFileDefault,
			String currentVersion,
			String description) {
		this.id = id;
		this.libraryName = libraryName;
		this.urlFileToDownload = urlFileToDownload;
		this.urlFileDefault = urlFileDefault;
		this.description = description;
		this.currentVersion = currentVersion;
	}


	public String getLibraryName() {
		return libraryName;
	}


	public String getUrlFileToDownload() {
		return urlFileToDownload;
	}


	public String getUrlFileDefault() {
		return urlFileDefault;
	}
	public String getDescription(){
		return description;
	}

	protected void setLibraryName(String name) {
		this.libraryName = name;
	}


	protected void setUrlFileToDownload(String urlFileToDownload) {
		this.urlFileToDownload = urlFileToDownload;
	}


	protected void setUrlFileDefault(String urlFileDefault) {
		this.urlFileDefault = urlFileDefault;
	}

	protected String getId() {
		return id;
	}

	protected void setId(String id) {
		this.id = id;
	}

	protected String getCurrentVersion() {
		return currentVersion;
	}

	protected void setCurrentVersion(String currentVersion) {
		this.currentVersion = currentVersion;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	public void processOthersCfg(Element managerCfg) {}
	
	
	
	protected void libraryWritte(File destination){}
		
	public class DefaultLibraryVersionManager extends LibraryVersionManager{
		public DefaultLibraryVersionManager(
				String id,
				String libraryName, 
				String urlFileToDownload,
				String urlFileDefault,
				String currentVersion,
				String  description) {
			super(id,libraryName, urlFileToDownload, urlFileDefault,currentVersion, description);
		}
	}



	
}
