/*
_____________________________________________

Descartes. Interactive Mathematics for Teaching and Learning
This program is free software; you can redistribute it and/or 
modify it under the terms of the European Public License 
(EUPL) v 1.1 as published by the IDABC (see http://ec.europa.eu/idabc/). 

Developing institutions
- Instituto de Tecnologas Educativas del Ministerio de Educacin de Espaa
- Instituto de Matemticas de la Universidad Nacional Autnoma de Mxico

Software development: Jos Luis Abreu Len, Marta Oliver Serrat
Functional Design: Jos Luis Abreu Len, Juan Madrigal Muga, Jos R. Galo Snchez

Copyright by Ministerio de Educacin de Espaa.

This programme is distributed in good faith, but WITHOUT ANY WARRANTY, not even
with the implicit warranties of USABILITY or FITNESS FOR A CONCRETE PURPOSE.
For more information consult the EUPL License European Public License. 

You should have received a copy of the EUPL European Public License along with this 
program. If not, see http://ec.europa.eu/idabc/servlets/Docbb6d.pdf?id=31979
_____________________________________________

Descartes. Matemticas interactivas para la enseanza y el aprendizaje
Este programa es software libre; usted tiene derecho a redistribuirlo y/o
a modificarlo bajo los trminos de la Licencia pblica europea 
(EUPL) v 1.1 publicados por la IDABC (ver  http://ec.europa.eu/idabc/).

Instituciones desarrolladoras:
- Instituto de Tecnologas Educativas del Ministerio de Educacin de Espaa
- Instituto de Matemticas de la Universidad Nacional Autnoma de Mxico

Desarrollo de software: Jos Luis Abreu Len, Marta Oliver Serrat
Diseo funcional: Jos Luis Abreu Len, Juan Madrigal Muga, Jos R. Galo Snchez

Derechos de explotacin propiedad del Ministerio de Educacin de Espaa.

Este programa se distribuye de buena fe, pero SIN NINGUNA GARANTA, incluso sin 
las presuntas garantas implcitas de USABILIDAD o ADECUACIN A PROPSITO CONCRETO. 
Para mas informacin consulte la Licencia EUPL European Public License.

Usted debe haber recibido una copia de la Licencia EUPLjunto con este 
programa, si por algn motivo no le es posible visualizarla, puede consultarla en
la siguiente URL: http://ec.europa.eu/idabc/servlets/Docb4f4.pdf?id=31980
_____________________________________________

*/
package com.mja.lang;

/*------------------------------------------------------------*/
/*                           data                             */
/*                          (c) MJA                           */
/* Creacin:             Enero de 2001                        */
/* ltima actualizacin: Abril 28 de 2005		              */
/*------------------------------------------------------------*/

public class data {

	static public final String Version="5."+com.jla.nippe.AbstractNippe.sub_ver+", "+com.jla.nippe.AbstractNippe.fecha;

	static public final String spacePrefix="E_", controlPrefix="C_", auxPrefix="A_", graphPrefix="G_", graph3Prefix="S_";

	public static final int a_left=1,a_center=2,a_right=3;

	public static final int scroll=0, wrap=1;
	public static int numLang;
	public static final int defLang=1;

	public static final int
		langName   =  0,
		False      =  1,
		True       =  2,
		No         =  3,
		Yes        =  4,
		black      =  5,
		magenta    =  6,
		blue       =  7,
		cyan       =  8,
		green      =  9,
		yellow     = 10,
		orange     = 11,
		red        = 12,
		pink       = 13,
		darkGray   = 14,
		gray       = 15,
		lightGray  = 16,
		white      = 17,
		p_scale    = 18,
		textapplet = 19,
		name       = 20,
		editable   = 21,
		visible    = 22,
		trace      = 23,
		control    = 24,
		background = 25,
		color      = 26,
		parameter  = 27,
		sequence   = 28,
		size       = 29,
		decimals   = 30,
		BACKGROUND = 31,
		NET        = 32,
		NET10      = 33,
		AXES       = 34,
		TEXT       = 35,
		about      = 36,
		config     = 37,
		init       = 38,
		clear      = 39,
		incr       = 40,
		inf        = 41,
		sup        = 42,
		fill       = 43,
		fillplus   = 44,
		fillminus  = 45,
		arrow      = 46,
		widthness  = 47,
		spear      = 48,
		region     = 49,
		north      = 50,
		south      = 51,
		east       = 52,
		west       = 53,
		external   = 54,
		expr       = 55,
		type       = 56,
		position   = 57,
		constraint = 58,
		infinity   = 59,
		value      = 60,
		t_equation = 61,
		t_curve    = 62,
		t_text     = 63,
		t_point    = 64,
		t_segment  = 65,
		t_arc      = 66,
		t_polygon  = 67,
		t_image    = 68,
		p_version  = 69,
		p_language = 70,
		p_space    = 71,
		p_Ox       = 72,
		p_Oy       = 73,
		p_controls = 74,
		p_auxiliaries=75,
		p_graphics = 76,
		p_buttons  = 77,
		p_anim     = 78,
		constant   = 79,
		original   = 80,
		newcfg     = 81,
		apply      = 82,
		close      = 83,
		cancel     = 84,
		accept     = 85,
		add        = 86,
		insert     = 87,
		delete     = 88,
		Up			= 89,
		Down		= 90,
		rename     = 91,
		auxiliary  = 92,
		font       = 93,
		undo       = 94,
		redo       = 95,
		c_numeric  = 96,
		c_graphic  = 97,
		c_string   = 98,
		initialPos = 99,
		ini        =100,
		doWord     =101,
		whileWord  =102,
		evaluate   =103,
		var        =104,
		func       =105,
		alg        =106,
		array      =107,
		zoom       =108,
		cond       =109,
		range      =110,
		delay      =111,
		stop       =112,
		x_axis     =113,
		y_axis     =114,
		numbers    =115,
		notexp     =116,
		family     =117,
		interval   =118,
		steps      =119,
		center     =120,
		radius     =121,
		end        =122,
		once       =123,
		always     =124,
		copy       =125,
		paste      =126,
		icolor     =127,
		loop       =128,
		controls   =129,
		appletc    =130,
		noedit     =131,
		anim       =132,
		pause      =133,
		auto       =134,
		heightness =135,
		left       =136,
		top        =137,
		space      =138,
		Nu         =139,
		Nv         =140,
		ancho      =141,
		largo      =142,
		alto       =143,
		backColor  =144,
		edges      =145,
		inirot     =146,
		inipos     =147,
		t_triangle =148,
		t_face     =149,
		t_regpoly  =150,
		t_cube     =151,
		t_box      =152,
		t_cone     =153,
		t_cylinder =154,
		t_sphere   =155,
		t_surface  =156,
		t_tetrahedron=157,
		t_octahedron=158,
		t_dodecahedron=159,
		t_icosahedron=160,
		t_ellipsoid=161,
		t_macro    =162,
		id         =163,
		R3         =164,
		model      =165,
		plain      =166,
		light      =167,
		metal      =168,
		wire       =169,
		split      =170,
		render     =171,
		sort       =172,
		painter    =173,
		raytrace   =174,
		bgimage    =175,
		bgdisplay  =176,
		bgtopleft  =177,
		bgstretch  =178,
		bgpatch    =179,
		bgcenter   =180,
		file       =181,
		location   =182,
		rotation   =183,
		macro      =184,
		macrotype  =185,
		textmacro  =186,
		HTMLencoding =187,
		rows_north   =188,
		rows_south   =189,
		width_east =190,
		width_west =191,
		fixed      =192,
		initAnim   =193,
		pop        =194,
		empty      =195,
		equals     =196,
		expl       =197,
		p_graphR3  =198,
		help       =199,
		tooltip    =200,
		rightClick =201,
		discrete   =202,
		gui        =203,
		spinner    =204,
		textfield  =205,
		choice     =206,
		scrollbar  =207,
		options    =208,
		interior   =209,
		condition  =210,
		action     =211,
		event      =212,
		openURL    =213,
		openScene  =214,
		button     =215,
		message    =216,
		alternate  =217,
		execution  =218,
		calculate  =219,
		symbol     =220,
		unit       =221,
		course     =222,
		animated   =223,
		animfrec   =224,
		abscoor    =225,
		FormulEd   =226,
		TextEd     =227,
		symbols    =228,
		fraction   =229,
		sqrRoot    =230,
		subIx      =231,
		supIx      =232,
		edit       =233,
		show       =234,
		bold       =235,
		italics    =236,
		underlined =237,
		overlined  =238,
		formula    =239,
		Alpha0020  =240,
		Alpha00A0  =241,
		Alpha0100  =242,
		Alpha0180  =243,
		Alpha0370  =244,
		Alpha0400  =245,
		Alpha05D0  =246,
		Alpha0600  =247,
		Alpha2000  =248,
		Alpha20A0  =249,
		Alpha2100  =250,
		Alpha2150  =251,
		Alpha2200  =252,
		Alpha2500  =253,
		Alpha2580  =254,
		Alpha2600  =255,
		Alphabets  =256,
		UnicodeBase=257,
		image      =258,
		doc        =259,
		aux        =260,
		click      =261,
		msgloc     =262,
		top_left   =263,
		top_center =264,
		top_right  =265,
		center_left=266,
		right      =267,
		bottom_left=268,
		bottom     =269,
		bottom_right=270,
		images     =271,
		mousem     =272,
		play	   =273,
		infoind    =274,
		infoest    =275,
		condActiv  =276,
		finrot	   =277,
		finpos     =278,
		isEditable =279,
		mixedTF    =280,
		useSound   =281,
		useAlgebra =282,
		useRAD	   =283,
		spaceType  =284,
		R2_type	   =285,
		R3_type	   =286,
		TA_type	   =287,
		TX_type    =288,
		D3_type	   =289,
		vectors    =290,
		fonttype	=291,
		fontsz		=292,
		SansSerif	=293,
		Serif		=294,
		Monospaced	=295,
		tree		=296,
		sensible	=297,
		step		=298,
		mult		=299,
		par			=300,
		mode		=301,
		automatic	=302,
		clickanddrag=303,
		clickandwrite=304,
		write		=305,
		guided		=306,
		equation	=307,
		exercises	=308,
		dot			=309,
		cross		=310,
		scenario	=311,
		cID         =312,
		matrix		=313,
		rows		=314,
		columns		=315,
		onlytext    =316,
		evaluation  =317,
		answer      =318,
		weight		=319,
		decsymb		=320,
		info		=321,
		GL_type     =322,
		HF_type     =323,
		border 		=324,
		c_audio		=325,
		c_video		=326,
		localVars   =327,
		NotFound	=328,
		NN          =329;
	static public final int[] bnameix={ about, config, init, clear };
	static public int[] ctrlix={ c_numeric, c_graphic, c_string, c_audio, c_video };
	static public final int[] gtix={ t_equation, t_curve, sequence, t_point, t_segment, arrow, t_polygon, t_arc, fill, t_text, t_image, t_macro };
	static public final int[] gtR3ix={ t_point, t_segment, t_polygon, t_curve, t_triangle, t_face, t_regpoly, t_surface, t_text, t_macro, t_cube, t_box, t_tetrahedron, t_octahedron, t_dodecahedron, t_icosahedron, t_sphere, t_ellipsoid, t_cone, t_cylinder };
	static public final int[] msglocs={data.center,data.top_left,data.top_center,data.top_right,data.center_left,data.right,data.bottom_left, data.bottom, data.bottom_right};

	

}